hwloc_obj_attr_u::hwloc_group_attr_s Struct Reference

`#include <hwloc.h>`

## Data Fields

unsigned | depth
unsigned | kind
unsigned | subkind

## Detailed Description

Group-specific Object Attributes.

## Field Documentation

## depth

unsigned hwloc_obj_attr_u::hwloc_group_attr_s::depth

Depth of group object. It may change if intermediate Group objects are added.

## kind

unsigned hwloc_obj_attr_u::hwloc_group_attr_s::kind

Internally-used kind of group.

## subkind

unsigned hwloc_obj_attr_u::hwloc_group_attr_s::subkind

Internally-used subkind to distinguish different levels of groups with same kind.

The documentation for this struct was generated from the following file:

- hwloc.h